logo
DATABASE RESOURCES PRICING ABOUT US

Updated nettle packages fix security vulnerabilities

Description

Updated nettle2.7 and nettle packages fix security vulnerabilities: Two carry propagation bugs in elliptic curve scalar multiplications that affect the NIST P-256 curve. The bugs are in the C code and affect multiple architectures (CVE-2015-8803, CVE-2015-8805). A carry propagation bug in elliptic curve scalar multiplications that affect the NIST P-384 curve. The bug is in the assembly code and only affects the x86_64 architecture (CVE-2015-8804).


Affected Package


OS OS Version Package Name Package Version
Mageia 5 nettle2.7 2.7.1-6.1
Mageia 5 nettle 3.0-3.1

Related